
QGIS Application - Bug report #18978

Crash when deleting auxillary storage table

2018-05-18 12:11 AM - Antoine Lafranchis

Status: Closed

Priority: High

Assignee:

Category: Labelling

Affected QGIS version:3.0.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26809

Description

User Feedback

I tried to delete empty auxillary storage table accidentally created with labelling tools

Report Details

Crash ID: fbd535ad01c989be71f6b3eec145199b91f3feab

Stack Trace

QObject::setParent :

QgsVectorLayer::setAuxiliaryLayer :

QgsVectorLayerProperties::onAuxiliaryLayerDelete :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QMenu::exec :

QDialogPrivate::operator= :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::mousePressEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showLayerProperties :

QgisApp::layerTreeViewDoubleClicked :

QMetaObject::activate :

QAbstractItemView::doubleClicked :

QTreeView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063
History

#1 - 2018-05-18 07:15 PM - Nathan Perry

Duplicate issue: https://issues.qgis.org/issues/18894

#2 - 2018-10-19 01:52 PM - Paul Blottiere

Already fixed by https://github.com/qgis/QGIS/pull/6603 in QGIS 3.2.

#3 - 2018-10-19 01:52 PM - Paul Blottiere

- Status changed from Open to Closed

2024-05-21 3/3

https://issues.qgis.org/issues/18894
https://github.com/qgis/QGIS/pull/6603

